#version 120
//
// simple.vert
//
attribute vec3 position, velocity;
uniform mat4 transformMatrix;
uniform float gravity;
varying vec3 pos, vel;
const float tstep = 1.0;
 
void main(void)
{
  gl_Position = transformMatrix * vec4(position, 1.0);
  vel = velocity + vec3(0.0, gravity, 0.0) * tstep;     // xɉx~Ԃ
  pos = position + vel * tstep;                         // _̈ʒuړ
  if (pos.y < -1.0) {                                   // _͈͊Oɏo
    pos.y += 2.0;                                       // ʒu𔽑Αɖ߂
    vel = vec3(0.0, 0.0, 0.0);                          // x 0 ɂ
  }
}
